//============================================================================
//
//    Java Text Editor library
//
//  Main.java
//
//  Copyright (c) 2013 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package text.editor;

import java.io.*;
import javax.swing.*;

import text.editor.*;

public class Main
{
    private static String windows  = "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";

    public static void main(String [] args)
    {
        try
        {
            UIManager.setLookAndFeel(windows);
        }
        catch(Exception ex){}

        String home = System.getenv("EDITORKIT_HOME");
        if (home == null)
            home = "C:/EditorKit";

        Kit.initialize(home);
        String top   = System.getProperty("user.dir");

        for(int i =0;i < args.length; ++i)
        {
            if (args[i].startsWith("-h:"))
                home = args[i].substring(3);
            else
                top = args[i];
        }

        MainFrame.HOME  = home.replace("\\", "/");

        File fhome = new File(MainFrame.HOME);
        if (!fhome.exists())
        {
            if (!fhome.mkdir())
                System.out.println("can't create working home.");
        }

        MainFrame frame = new MainFrame();
        Kit.setMainFrame(frame);
        frame.setVisible(true);
    }

}
