//============================================================================
//
//    Java Text Editor library
//
//    EditorToolsDialog.java
//
//  Copyright (c) 2013 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package text.editor;

import java.awt.*;
import java.awt.event.*;
import java.util.regex.*;
import javax.swing.event.*;
import javax.swing.*;

import static text.editor.Kit.*;

public class EditorToolsDialog extends JFrame
{
    public SearchPanel    search = null;
    public CustomTabPane  tabs   = null;

    public EditorToolsDialog(JEditorPane owner)
    {
        super("ツール");

        setIconImage(Kit.getIconImage("ToolBox.GIF").getImage());

        getContentPane().setLayout(new BorderLayout());
        tabs = new CustomTabPane();
        search = new SearchPanel(owner);
        tabs.addTab("検索/置換", null, search);
        getContentPane().add( tabs, BorderLayout.CENTER);

        setListener();

        setSize(440, 216);
        setAlwaysOnTop(true);
    }

    private void setListener()
    {
        addWindowListener(new WindowAdapter()
        {
            public void windowClosing(WindowEvent e)
            {
                setVisible(false);
            }
        });
    }

    public void resetFont()
    {
    }
}
