//============================================================================
//
//    Java Text Editor library
//
//    NormalDocument.java
//
//  Copyright (c) 2013 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package text.editor;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import javax.swing.undo.*;

public class NormalDocument extends DefaultStyledDocument 
{
    SourceToolBar tool= null; 
    JEditorPane   text = null;

    public NormalDocument(SourceToolBar tool, JEditorPane text)
    {
        super();
        this.tool  = tool;
        this.text  = text;
    }

    public void insertString(int offs, String str, AttributeSet a) throws BadLocationException 
    {
        super.insertString(offs,str, a);
        tool.undoManager.push(new TextUndoCommand(TextUndoCommand.DELETE, offs, str.length()));
    }

    public void remove(int offs, int len) throws BadLocationException 
    {
        String s =  tool.delCR(text.getText());
        tool.undoManager.push(new TextUndoCommand(
                             TextUndoCommand.INSERT, offs, s.substring(offs, offs + len), null));

        super.remove(offs, len);
    }
}
