//============================================================================
//
//    Java Text Editor library
//
//    CustomTabPane.java
//
//  Copyright (c) 2013 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package text.editor;

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;
import javax.swing.border.*;

import static text.editor.Kit.*;

public class CustomTabPane extends JTabbedPane 
{ 
    static private Icon closeIcon = null;
    static private Icon releaseIcon = null;

    public CustomTabPane()
    {
        super();
        setCloseIcon();
    }

    public CustomTabPane(int tabPlacement) 
    {
        super(tabPlacement);
        setCloseIcon();
    }

    private void setCloseIcon()
    {
        if (closeIcon == null)
        {
           closeIcon   = getIconImage("CloseTab.GIF");
           releaseIcon = getIconImage("ReleaseTab.GIF");
        }
    }

    public void addTab(String title, final JComponent content)
    { 
        TabOfTab tab = new TabOfTab(title, closeIcon, releaseIcon);
        super.addTab(null, content);
        setTabComponentAt(getTabCount()-1, tab);

        tab.closeButton.addActionListener(new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                Kit.removeTab(content);
            }
        });

        tab.releaseButton.addActionListener(new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                Kit.dockReleaseTab(content);
            }
        });
    }
}

