//============================================================================
//
//    Java Text Editor library
//
//    TabOfTab.java
//
//  Copyright (c) 2013 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package text.editor;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public class TabOfTab extends JPanel
{
    public JLabel label;
    public JButton closeButton;
    public JButton releaseButton;

    public TabOfTab(String title, Icon icon1, Icon icon2)
    {
        super(new BorderLayout()); 
        setOpaque(false); 
        label = new JLabel(title);
        label.setBorder(BorderFactory.createEmptyBorder(0,0,0,4));
        closeButton = new JButton();
        closeButton.setIcon(icon1);
        closeButton.setBorder(new LineBorder(Color.GRAY));
        Dimension buttonSize = new Dimension(12, 12); 
        closeButton.setSize(buttonSize);

        releaseButton = new JButton();
        releaseButton.setIcon(icon2);
        releaseButton.setBorder(new LineBorder(Color.GRAY));
        releaseButton.setSize(buttonSize);

        add(label,  BorderLayout.WEST); 

        JPanel pp = new JPanel();
        pp.setLayout(new BoxLayout(pp, BoxLayout.X_AXIS));
        pp.add(releaseButton); 
        pp.add(Box.createHorizontalStrut(2)); 
        pp.add(closeButton); 
        add(pp);
        setBorder(BorderFactory.createEmptyBorder(2,1,6,1));
    }

    public void setTitle(String t)
    {
        label.setText(t);
    }
}
