//============================================================================
//
//    Java Text Editor library
//
//    TextUndoCommand.java
//
//  Copyright (c) 2013 Fumiaki Hosaka.
//
//  Permission to copy, use, modify, sell and distribute this software
//  is granted provided this copyright notice appears in all copies.
//  This software is provided "as is" without express or implied
//  warranty, and with no claim as to its suitability for any purpose.
//============================================================================
package text.editor;

import javax.swing.text.*;


public class TextUndoCommand
{
   static public final int INSERT = 0;
   static public final int DELETE = 1;

   public int type;
   public int offs;
   public int len;
   public String str = "";
   public AttributeSet att;

   public TextUndoCommand(int type, int offs, int len)
   {
       this.type = type;
       this.offs = offs;
       this.len  = len;
   }  

   public TextUndoCommand(int type, int offs, String str, AttributeSet att)
   {
       this.type = type;
       this.offs = offs;
       this.str  = str;
       this.att  = att;
   }  

   public String toString()
   {
       return "type=" + type + ":offs=" + offs + ":len=" + len + ":str=" + str;
   }
}
